using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Bll
{
    public partial class BllMapProjectSy
    {
        private DaoAchieve.MapProjectSyDaoAchieve _CurrentDao = null;
        internal DaoAchieve.MapProjectSyDaoAchieve CurrentDao
        {
            get{
                if(_CurrentDao==null)
                {
                    _CurrentDao=new DaoAchieve.MapProjectSyDaoAchieve();
                }
                return _CurrentDao;
            }
        }
        
        public BllMapProjectSy()
        {
            
        }
    
        #region Service Bll
        public int Save(MapProjectSy entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Save(entity);
        }
        
        public int Save(List<MapProjectSy> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        
        public int Delete(string id)
        {
            if(string.IsNullOrEmpty(id))
                return 0;
            return CurrentDao.Delete(id);
        }
        
        public int Update(MapProjectSy entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Update(entity);
        }
        
        public int Update(List<MapProjectSy> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        public int SaveOrUpdate(IList<MapProjectSy> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.SaveOrUpdate(entityList);
        }
        
        public MapProjectSy Get(string id)
        {
            if (string.IsNullOrEmpty(id))
            {
                return null;
            }
            return CurrentDao.Get(id);
        }
        
        public int GetCount(PushPlatform.Data.Criteria.CriteriaMapProjectSy mycriteria)
        {
            return CurrentDao.GetCount(mycriteria);
        }
        
        public List<MapProjectSy> Fetch(PushPlatform.Data.Criteria.CriteriaMapProjectSy mycriteria)
        {
            if(mycriteria.UsePage && (mycriteria.PageIndex <= 0 || mycriteria.PageSize < 1))
            {
                mycriteria.PageTotal = 0;
                return new List<MapProjectSy>();
            }
            return CurrentDao.Fetch(mycriteria);
        }
        #endregion
       
    }
}

